package com.admin.major.service.impl;

import java.util.List;
import com.admin.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.admin.common.utils.SecurityUtils;
import com.admin.major.mapper.ClassInfoMapper;
import com.admin.major.domain.ClassInfo;
import com.admin.major.service.IClassInfoService;

/**
 * 班级管理Service业务层处理
 * 
 * @author ljx
 * @date 2022-05-18
 */
@Service
public class ClassInfoServiceImpl implements IClassInfoService 
{
    @Autowired
    private ClassInfoMapper classInfoMapper;

    /**
     * 查询班级管理
     * 
     * @param classId 班级管理主键
     * @return 班级管理
     */
    @Override
    public ClassInfo selectClassInfoByClassId(Long classId)
    {
        return classInfoMapper.selectClassInfoByClassId(classId);
    }

    /**
     * 查询班级管理列表
     * 
     * @param classInfo 班级管理
     * @return 班级管理
     */
    @Override
    public List<ClassInfo> selectClassInfoList(ClassInfo classInfo)
    {
        return classInfoMapper.selectClassInfoList(classInfo);
    }



    /**
     * 查询班级管理
     *
     * @param classInfo 班级管理
     * @return 班级管理
     */
//    @Override
//    public ClassInfo selectOneClassInfo(ClassInfo classInfo)
//    {
//        return classInfoMapper.selectClassInfoList(classInfo)
//                .stream()
//                .findFirst()
//                .orElse(null);
//    }

    /**
     * 新增班级管理
     *
     * @param classInfo 班级管理
     * @return 结果
     */

    @Override
    public int insertClassInfo(ClassInfo classInfo)
    {
        classInfo.setCreateTime(DateUtils.getNowDate());
        classInfo.setUpdateUserId(SecurityUtils.getUserId());
        classInfo.setCreateUserId(SecurityUtils.getUserId());
        return classInfoMapper.insertClassInfo(classInfo);
    }

    /**
     * 修改班级管理
     * 
     * @param classInfo 班级管理
     * @return 结果
     */
    @Override
    public int updateClassInfo(ClassInfo classInfo)
    {
        classInfo.setUpdateTime(DateUtils.getNowDate());
        classInfo.setUpdateUserId(SecurityUtils.getUserId());
        return classInfoMapper.updateClassInfo(classInfo);
    }

    /**
     * 批量删除班级管理
     * 
     * @param classIds 需要删除的班级管理主键
     * @return 结果
     */
    @Override
    public int deleteClassInfoByClassIds(Long[] classIds)
    {
        return classInfoMapper.deleteClassInfoByClassIds(classIds);
    }

    /**
     * 删除班级管理信息
     * 
     * @param classId 班级管理主键
     * @return 结果
     */
    @Override
    public int deleteClassInfoByClassId(Long classId)
    {
        return classInfoMapper.deleteClassInfoByClassId(classId);
    }
}
